select distinct SONAR_ISSUES.projectID, creationDate,  author, creationCommitHash, closeCommitHash,

count(case when squid='squid:AssignmentInSubExpressionCheck' then "creationDate" or "updateDate"  end) as "squid:AssignmentInSubExpressionCheck",
count(case when squid='squid:ClassCyclomaticComplexity' then "creationDate" or "updateDate"  end) as "squid:ClassCyclomaticComplexity",
count(case when squid='squid:ClassVariableVisibilityCheck' then "creationDate" or "updateDate"  end) as "squid:ClassVariableVisibilityCheck",
count(case when squid='squid:CommentedOutCodeLine' then "creationDate" or "updateDate"  end) as "squid:CommentedOutCodeLine",
count(case when squid='squid:EmptyStatementUsageCheck' then "creationDate" or "updateDate"  end) as "squid:EmptyStatementUsageCheck",
count(case when squid='squid:ForLoopCounterChangedCheck' then "creationDate" or "updateDate"  end) as "squid:ForLoopCounterChangedCheck",
count(case when squid='squid:HiddenFieldCheck' then "creationDate" or "updateDate"  end) as "squid:HiddenFieldCheck",
count(case when squid='squid:LabelsShouldNotBeUsedCheck' then "creationDate" or "updateDate"  end) as "squid:LabelsShouldNotBeUsedCheck",
count(case when squid='squid:MethodCyclomaticComplexity' then "creationDate" or "updateDate"  end) as "squid:MethodCyclomaticComplexity",
count(case when squid='squid:MissingDeprecatedCheck' then "creationDate" or "updateDate"  end) as "squid:MissingDeprecatedCheck",
count(case when squid='squid:ModifiersOrderCheck' then "creationDate" or "updateDate"  end) as "squid:ModifiersOrderCheck",
count(case when squid='squid:ObjectFinalizeOverridenCallsSuperFinalizeCheck' then "creationDate" or "updateDate"  end) as "squid:ObjectFinalizeOverridenCallsSuperFinalizeCheck",
count(case when squid='squid:ObjectFinalizeOverridenCheck' then "creationDate" or "updateDate"  end) as "squid:ObjectFinalizeOverridenCheck",
count(case when squid='squid:RedundantThrowsDeclarationCheck' then "creationDate" or "updateDate"  end) as "squid:RedundantThrowsDeclarationCheck",
count(case when squid='squid:RightCurlyBraceStartLineCheck' then "creationDate" or "updateDate"  end) as "squid:RightCurlyBraceStartLineCheck",
count(case when squid='squid:S00100' then "creationDate" or "updateDate"  end) as "squid:S00100",
count(case when squid='squid:S00101' then "creationDate" or "updateDate"  end) as "squid:S00101",
count(case when squid='squid:S00105' then "creationDate" or "updateDate"  end) as "squid:S00105",
count(case when squid='squid:S00107' then "creationDate" or "updateDate"  end) as "squid:S00107",
count(case when squid='squid:S00108' then "creationDate" or "updateDate"  end) as "squid:S00108",
count(case when squid='squid:S00112' then "creationDate" or "updateDate"  end) as "squid:S00112",
count(case when squid='squid:S00115' then "creationDate" or "updateDate"  end) as "squid:S00115",
count(case when squid='squid:S00116' then "creationDate" or "updateDate"  end) as "squid:S00116",
count(case when squid='squid:S00117' then "creationDate" or "updateDate"  end) as "squid:S00117",
count(case when squid='squid:S00119' then "creationDate" or "updateDate"  end) as "squid:S00119",
count(case when squid='squid:S00120' then "creationDate" or "updateDate"  end) as "squid:S00120",
count(case when squid='squid:S00122' then "creationDate" or "updateDate"  end) as "squid:S00122",
count(case when squid='squid:S106' then "creationDate" or "updateDate"  end) as "squid:S106",
count(case when squid='squid:S1065' then "creationDate" or "updateDate"  end) as "squid:S1065",
count(case when squid='squid:S1066' then "creationDate" or "updateDate"  end) as "squid:S1066",
count(case when squid='squid:S1067' then "creationDate" or "updateDate"  end) as "squid:S1067",
count(case when squid='squid:S1068' then "creationDate" or "updateDate"  end) as "squid:S1068",
count(case when squid='squid:S1118' then "creationDate" or "updateDate"  end) as "squid:S1118",
count(case when squid='squid:S1125' then "creationDate" or "updateDate"  end) as "squid:S1125",
count(case when squid='squid:S1126' then "creationDate" or "updateDate"  end) as "squid:S1126",
count(case when squid='squid:S1132' then "creationDate" or "updateDate"  end) as "squid:S1132",
count(case when squid='squid:S1133' then "creationDate" or "updateDate"  end) as "squid:S1133",
count(case when squid='squid:S1134' then "creationDate" or "updateDate"  end) as "squid:S1134",
count(case when squid='squid:S1135' then "creationDate" or "updateDate"  end) as "squid:S1135",
count(case when squid='squid:S1141' then "creationDate" or "updateDate"  end) as "squid:S1141",
count(case when squid='squid:S1143' then "creationDate" or "updateDate"  end) as "squid:S1143",
count(case when squid='squid:S1145' then "creationDate" or "updateDate"  end) as "squid:S1145",
count(case when squid='squid:S1147' then "creationDate" or "updateDate"  end) as "squid:S1147",
count(case when squid='squid:S1148' then "creationDate" or "updateDate"  end) as "squid:S1148",
count(case when squid='squid:S1149' then "creationDate" or "updateDate"  end) as "squid:S1149",
count(case when squid='squid:S1150' then "creationDate" or "updateDate"  end) as "squid:S1150",
count(case when squid='squid:S1151' then "creationDate" or "updateDate"  end) as "squid:S1151",
count(case when squid='squid:S1153' then "creationDate" or "updateDate"  end) as "squid:S1153",
count(case when squid='squid:S1155' then "creationDate" or "updateDate"  end) as "squid:S1155",
count(case when squid='squid:S1157' then "creationDate" or "updateDate"  end) as "squid:S1157",
count(case when squid='squid:S1158' then "creationDate" or "updateDate"  end) as "squid:S1158",
count(case when squid='squid:S1160' then "creationDate" or "updateDate"  end) as "squid:S1160",
count(case when squid='squid:S1161' then "creationDate" or "updateDate"  end) as "squid:S1161",
count(case when squid='squid:S1163' then "creationDate" or "updateDate"  end) as "squid:S1163",
count(case when squid='squid:S1165' then "creationDate" or "updateDate"  end) as "squid:S1165",
count(case when squid='squid:S1166' then "creationDate" or "updateDate"  end) as "squid:S1166",
count(case when squid='squid:S1168' then "creationDate" or "updateDate"  end) as "squid:S1168",
count(case when squid='squid:S1170' then "creationDate" or "updateDate"  end) as "squid:S1170",
count(case when squid='squid:S1171' then "creationDate" or "updateDate"  end) as "squid:S1171",
count(case when squid='squid:S1172' then "creationDate" or "updateDate"  end) as "squid:S1172",
count(case when squid='squid:S1174' then "creationDate" or "updateDate"  end) as "squid:S1174",
count(case when squid='squid:S1175' then "creationDate" or "updateDate"  end) as "squid:S1175",
count(case when squid='squid:S1181' then "creationDate" or "updateDate"  end) as "squid:S1181",
count(case when squid='squid:S1182' then "creationDate" or "updateDate"  end) as "squid:S1182",
count(case when squid='squid:S1185' then "creationDate" or "updateDate"  end) as "squid:S1185",
count(case when squid='squid:S1186' then "creationDate" or "updateDate"  end) as "squid:S1186",
count(case when squid='squid:S1188' then "creationDate" or "updateDate"  end) as "squid:S1188",
count(case when squid='squid:S1190' then "creationDate" or "updateDate"  end) as "squid:S1190",
count(case when squid='squid:S1191' then "creationDate" or "updateDate"  end) as "squid:S1191",
count(case when squid='squid:S1192' then "creationDate" or "updateDate"  end) as "squid:S1192",
count(case when squid='squid:S1193' then "creationDate" or "updateDate"  end) as "squid:S1193",
count(case when squid='squid:S1194' then "creationDate" or "updateDate"  end) as "squid:S1194",
count(case when squid='squid:S1195' then "creationDate" or "updateDate"  end) as "squid:S1195",
count(case when squid='squid:S1197' then "creationDate" or "updateDate"  end) as "squid:S1197",
count(case when squid='squid:S1199' then "creationDate" or "updateDate"  end) as "squid:S1199",
count(case when squid='squid:S1201' then "creationDate" or "updateDate"  end) as "squid:S1201",
count(case when squid='squid:S1206' then "creationDate" or "updateDate"  end) as "squid:S1206",
count(case when squid='squid:S1210' then "creationDate" or "updateDate"  end) as "squid:S1210",
count(case when squid='squid:S1213' then "creationDate" or "updateDate"  end) as "squid:S1213",
count(case when squid='squid:S1214' then "creationDate" or "updateDate"  end) as "squid:S1214",
count(case when squid='squid:S1215' then "creationDate" or "updateDate"  end) as "squid:S1215",
count(case when squid='squid:S1217' then "creationDate" or "updateDate"  end) as "squid:S1217",
count(case when squid='squid:S1219' then "creationDate" or "updateDate"  end) as "squid:S1219",
count(case when squid='squid:S1220' then "creationDate" or "updateDate"  end) as "squid:S1220",
count(case when squid='squid:S1221' then "creationDate" or "updateDate"  end) as "squid:S1221",
count(case when squid='squid:S1223' then "creationDate" or "updateDate"  end) as "squid:S1223",
count(case when squid='squid:S1226' then "creationDate" or "updateDate"  end) as "squid:S1226",
count(case when squid='squid:S1244' then "creationDate" or "updateDate"  end) as "squid:S1244",
count(case when squid='squid:S128' then "creationDate" or "updateDate"  end) as "squid:S128",
count(case when squid='squid:S1301' then "creationDate" or "updateDate"  end) as "squid:S1301",
count(case when squid='squid:S1312' then "creationDate" or "updateDate"  end) as "squid:S1312",
count(case when squid='squid:S1313' then "creationDate" or "updateDate"  end) as "squid:S1313",
count(case when squid='squid:S1314' then "creationDate" or "updateDate"  end) as "squid:S1314",
count(case when squid='squid:S1319' then "creationDate" or "updateDate"  end) as "squid:S1319",
count(case when squid='squid:S134' then "creationDate" or "updateDate"  end) as "squid:S134",
count(case when squid='squid:S135' then "creationDate" or "updateDate"  end) as "squid:S135",
count(case when squid='squid:S1444' then "creationDate" or "updateDate"  end) as "squid:S1444",
count(case when squid='squid:S1452' then "creationDate" or "updateDate"  end) as "squid:S1452",
count(case when squid='squid:S1479' then "creationDate" or "updateDate"  end) as "squid:S1479",
count(case when squid='squid:S1481' then "creationDate" or "updateDate"  end) as "squid:S1481",
count(case when squid='squid:S1488' then "creationDate" or "updateDate"  end) as "squid:S1488",
count(case when squid='squid:S1596' then "creationDate" or "updateDate"  end) as "squid:S1596",
count(case when squid='squid:S1598' then "creationDate" or "updateDate"  end) as "squid:S1598",
count(case when squid='squid:S1602' then "creationDate" or "updateDate"  end) as "squid:S1602",
count(case when squid='squid:S1611' then "creationDate" or "updateDate"  end) as "squid:S1611",
count(case when squid='squid:S1700' then "creationDate" or "updateDate"  end) as "squid:S1700",
count(case when squid='squid:S1764' then "creationDate" or "updateDate"  end) as "squid:S1764",
count(case when squid='squid:S1850' then "creationDate" or "updateDate"  end) as "squid:S1850",
count(case when squid='squid:S1860' then "creationDate" or "updateDate"  end) as "squid:S1860",
count(case when squid='squid:S1862' then "creationDate" or "updateDate"  end) as "squid:S1862",
count(case when squid='squid:S1872' then "creationDate" or "updateDate"  end) as "squid:S1872",
count(case when squid='squid:S1905' then "creationDate" or "updateDate"  end) as "squid:S1905",
count(case when squid='squid:S1948' then "creationDate" or "updateDate"  end) as "squid:S1948",
count(case when squid='squid:S1994' then "creationDate" or "updateDate"  end) as "squid:S1994",
count(case when squid='squid:S2065' then "creationDate" or "updateDate"  end) as "squid:S2065",
count(case when squid='squid:S2066' then "creationDate" or "updateDate"  end) as "squid:S2066",
count(case when squid='squid:S2068' then "creationDate" or "updateDate"  end) as "squid:S2068",
count(case when squid='squid:S2077' then "creationDate" or "updateDate"  end) as "squid:S2077",
count(case when squid='squid:S2094' then "creationDate" or "updateDate"  end) as "squid:S2094",
count(case when squid='squid:S2111' then "creationDate" or "updateDate"  end) as "squid:S2111",
count(case when squid='squid:S2114' then "creationDate" or "updateDate"  end) as "squid:S2114",
count(case when squid='squid:S2116' then "creationDate" or "updateDate"  end) as "squid:S2116",
count(case when squid='squid:S2118' then "creationDate" or "updateDate"  end) as "squid:S2118",
count(case when squid='squid:S2123' then "creationDate" or "updateDate"  end) as "squid:S2123",
count(case when squid='squid:S2130' then "creationDate" or "updateDate"  end) as "squid:S2130",
count(case when squid='squid:S2131' then "creationDate" or "updateDate"  end) as "squid:S2131",
count(case when squid='squid:S2133' then "creationDate" or "updateDate"  end) as "squid:S2133",
count(case when squid='squid:S2134' then "creationDate" or "updateDate"  end) as "squid:S2134",
count(case when squid='squid:S2153' then "creationDate" or "updateDate"  end) as "squid:S2153",
count(case when squid='squid:S2157' then "creationDate" or "updateDate"  end) as "squid:S2157",
count(case when squid='squid:S2160' then "creationDate" or "updateDate"  end) as "squid:S2160",
count(case when squid='squid:S2165' then "creationDate" or "updateDate"  end) as "squid:S2165",
count(case when squid='squid:S2166' then "creationDate" or "updateDate"  end) as "squid:S2166",
count(case when squid='squid:S2175' then "creationDate" or "updateDate"  end) as "squid:S2175",
count(case when squid='squid:S2176' then "creationDate" or "updateDate"  end) as "squid:S2176",
count(case when squid='squid:S2178' then "creationDate" or "updateDate"  end) as "squid:S2178",
count(case when squid='squid:S2183' then "creationDate" or "updateDate"  end) as "squid:S2183",
count(case when squid='squid:S2184' then "creationDate" or "updateDate"  end) as "squid:S2184",
count(case when squid='squid:S2225' then "creationDate" or "updateDate"  end) as "squid:S2225",
count(case when squid='squid:S2232' then "creationDate" or "updateDate"  end) as "squid:S2232",
count(case when squid='squid:S2235' then "creationDate" or "updateDate"  end) as "squid:S2235",
count(case when squid='squid:S2236' then "creationDate" or "updateDate"  end) as "squid:S2236",
count(case when squid='squid:S2250' then "creationDate" or "updateDate"  end) as "squid:S2250",
count(case when squid='squid:S2251' then "creationDate" or "updateDate"  end) as "squid:S2251",
count(case when squid='squid:S2272' then "creationDate" or "updateDate"  end) as "squid:S2272",
count(case when squid='squid:S2273' then "creationDate" or "updateDate"  end) as "squid:S2273",
count(case when squid='squid:S2274' then "creationDate" or "updateDate"  end) as "squid:S2274",
count(case when squid='squid:S2275' then "creationDate" or "updateDate"  end) as "squid:S2275",
count(case when squid='squid:S2276' then "creationDate" or "updateDate"  end) as "squid:S2276",
count(case when squid='squid:S2326' then "creationDate" or "updateDate"  end) as "squid:S2326",
count(case when squid='squid:S2386' then "creationDate" or "updateDate"  end) as "squid:S2386",
count(case when squid='squid:S2388' then "creationDate" or "updateDate"  end) as "squid:S2388",
count(case when squid='squid:S2438' then "creationDate" or "updateDate"  end) as "squid:S2438",
count(case when squid='squid:S2440' then "creationDate" or "updateDate"  end) as "squid:S2440",
count(case when squid='squid:S2442' then "creationDate" or "updateDate"  end) as "squid:S2442",
count(case when squid='squid:S2447' then "creationDate" or "updateDate"  end) as "squid:S2447",
count(case when squid='squid:S888' then "creationDate" or "updateDate"  end) as "squid:S888",
count(case when squid='squid:SwitchLastCaseIsDefaultCheck' then "creationDate" or "updateDate"  end) as "squid:SwitchLastCaseIsDefaultCheck",
count(case when squid='squid:UnusedPrivateMethod' then "creationDate" or "updateDate"  end) as "squid:UnusedPrivateMethod",
count(case when squid='squid:UselessImportCheck' then "creationDate" or "updateDate"  end) as "squid:UselessImportCheck",
count(case when squid='squid:UselessParenthesesCheck' then "creationDate" or "updateDate"  end) as "squid:UselessParenthesesCheck"

from SONAR_ISSUES 

group by creationDate